## org.eclipse.emf.codegen.merge.java.facade
Interface JAnnotationTypeMember

All Superinterfaces:
  JMember, JNode

All Known Implementing Classes:
  ASTJAnnotationTypeMember

    public interface JAnnotationTypeMember

extends JMember

Annotation type element in the following format (JLS3 9.6):

>      AbstractMethodModifiersopt Type Identifier ( ) DefaultValueopt ;

Since:
  2.3.0
See Also:
  JLS3 Section 9.6

Method Summary
`java.lang.String` `getDefaultValue()` Returns the string representation of the default value.
`java.lang.String` `getType()` Returns the string representation of the type.
`void` `setDefaultValue(java.lang.String defaultValue)` Sets default value.
`void` `setType(java.lang.String type)`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JMember
`getComment, setComment`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getName, getParent, getQualifiedName, setFlags, setName`

Method Detail

### getDefaultValue

    java.lang.String getDefaultValue()

  Returns the string representation of the default value. If there is no default value, returns empty string.

  Returns:
    default value, empty string if none

### setDefaultValue

    void setDefaultValue(java.lang.String defaultValue)

  Sets default value.

  Parameters:
    `defaultValue` - default value to use, empty string or null if none

### getType

    java.lang.String getType()

  Returns the string representation of the type.

  Returns:
    type

### setType

    void setType(java.lang.String type)

  Parameters:
    `type` - to set

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.